# $Revision: 1.1 $

# to run this example, you need:
# lushCompare.pyx
# lushCompare-pyrex-distutils.py
# an installed Pyrex
# then do:
# python lushCompare-pyrex-distutils build_ext --inplace
# python lushCompare
# this will build the pyrex module and then run the benchmark

import time
import lushCompare

def main():
    cstart = time.clock()
    
    numberOfLoops = 10
    for i in range(numberOfLoops):
        print "%f - %d" % (lushCompare.harmonic(1000000), i)
        
    cend = time.clock()
    
    print "%f seconds." % ((cend - cstart) / numberOfLoops)

if __name__ == "__main__":
    main()
